# 32/64bit spec file
#
%define with_java 1

%{?_with_java: %{expand: %%global with_java 1}}

%if %{with_java}
%define _requires_exceptions libjvm\.so
%endif


Name: soprano
Summary: Library which provides a nice QT interface to RDF
Summary(de): Sopran bietet eine schöne QT Schnittstelle zu RDF
Version: 2.9.4
Release: %mkrel 1
Group: System/Libraries
License: LGPLv2+
URL: http://soprano.sourceforge.net
Source: http://sourceforge.net/projects/soprano/files/Soprano/%{version}/%{name}-%version.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake >= 2.6.2
BuildRequires: redland-devel >= 1.0.6
BuildRequires: qt4-devel >= 4.4.0
BuildRequires: clucene-devel >= 0.9.19
BuildRequires: kde4-macros
%if %with_java
BuildRequires: java-rpmbuild
BuildRequires: chrpath
%endif
BuildRequires: doxygen
BuildRequires: iodbc-devel

Requires: soprano-plugin-virtuoso

%description
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

#german
%description -l de
Sopran (früher bekannt als QRDF) ist eine Bibliothek, die eine schöne QT
Schnittstelle zu RDF-Speicher-Lösungen bietet. Es hat eine modulare Struktur, 
die es Ihnen erlaubt, sie als Ersatz für Ihre derzeitliche Umsetzung der RDF 
Speicherung zu verwendet. Derzeit befinden sich zwei Implementierungen in 
arbeiten. Die erste und wichtigste ist das Backend, das in Sopran auf librdf 
basiert, das Redland RDF Application Rahmenwerk. Das zweite Backend ist das 
weit aus interessantere, da es sich um die NEPOMUK-KDE-Backbone-Bibliothek 
handelt.Diese bietet eine schöne Oberfläche für Anmeldungen von Nepomuk 
Dienstleistungen. 

%files
%defattr(-,root,root)
%_bindir/sopranocmd
%_bindir/sopranod
%dir %_datadir/soprano
%_datadir/soprano/rules
%_datadir/dbus-1/interfaces/*
#---------------------------------------------------------------------------------

%if %with_java
%package    plugin-sesame2
Summary:    Sesame2 soprano plugin
Group:      System/Libraries
Requires:   soprano-plugin-common
Requires:   java

%description plugin-sesame2
This package provide the sesame2 java indexer plugin for soprano.

#german
%description plugin-sesame2 -l de
Beinhaltet das Sesame2 Java Indexer Plugin für Soprano.

%files plugin-sesame2
%defattr(-,root,root)
%dir %_datadir/soprano/plugins
%_datadir/soprano/plugins/sesame2backend.desktop
%_datadir/soprano/sesame2
%dir %_libdir/soprano
%_libdir/soprano/libsoprano_sesame2backend.so
%endif

#---------------------------------------------------------------------------------

%package    plugin-virtuoso
Summary:    Virtuoso soprano plugin
Group:      System/Libraries
Requires:   virtuoso-opensource >= 5.0.12
Requires:   soprano-plugin-common

%description plugin-virtuoso
This package provide the virtuoso plugin for soprano.

#german
%description plugin-virtuoso -l de
Beinhaltet das Virtuoso Plugin für Soprano.

%files plugin-virtuoso
%defattr(-,root,root)
%dir %_datadir/soprano/plugins
%_datadir/soprano/plugins/virtuosobackend.desktop
%dir %_libdir/soprano
%_libdir/soprano/libsoprano_virtuosobackend.so

#---------------------------------------------------------------------------------

%package    plugin-redland
Summary:    redland soprano plugin
Group:      System/Libraries
Requires:   soprano-plugin-common

%description plugin-redland
This package provide the redland indexer plugin for soprano.

#german
%description plugin-redland -l de
Beinhaltet das Redland Indexer Plugin für Soprano.

%files plugin-redland
%defattr(-,root,root)
%dir %_datadir/soprano/plugins
%_datadir/soprano/plugins/redlandbackend.desktop
%dir %_libdir/soprano
%_libdir/soprano/libsoprano_redlandbackend.so

#---------------------------------------------------------------------------------

%package    plugin-common
Summary:    Common parsers and serializers
Summary(de): Gemeinsame Parser und Serialisierer
Group:      System/Libraries

%description plugin-common
Common parser and serializers

#german
%description plugin-common -l de
Gemeinsame Parser und Serialisierer für Soprano.

%files plugin-common
%defattr(-,root,root)
%dir %_datadir/soprano/plugins
%_datadir/soprano/plugins/*parser.desktop
%_datadir/soprano/plugins/*serializer.desktop
%dir %_libdir/soprano
%_libdir/soprano/libsoprano_*serializer.so
%_libdir/soprano/libsoprano_*parser.so

#---------------------------------------------------------------------------------

%define libsopranomajor 4
%define libsoprano %mklibname soprano %libsopranomajor

%package -n %libsoprano
Summary:    Library for %name
Summary(de): Bibliothek für %name 
Group:     System/Libraries
Requires:   %name

%description -n %libsoprano
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

#german
%description -n %libsoprano -l de
Sopran (früher bekannt als QRDF) ist eine Bibliothek, die eine schöne QT
Schnittstelle zu RDF-Speicher-Lösungen bietet. Es hat eine modulare Struktur, 
die es Ihnen erlaubt, sie als Ersatz für Ihre derzeitliche Umsetzung der RDF 
Speicherung zu verwendet. Derzeit befinden sich zwei Implementierungen in 
arbeiten. Die erste und wichtigste ist das Backend, das in Sopran auf librdf 
basiert, das Redland RDF Application Rahmenwerk. Das zweite Backend ist das 
weit aus interessantere, da es sich um die NEPOMUK-KDE-Backbone-Bibliothek 
handelt.Diese bietet eine schöne Oberfläche für Anmeldungen von Nepomuk 
Dienstleistungen.

%files -n %libsoprano
%defattr(-,root,root)
%_libdir/libsoprano.so.%{libsopranomajor}*

#---------------------------------------------------------------------------------

%define libsopranoclient %mklibname sopranoclient 1

%package -n %libsopranoclient
Summary: Library for %name
Summary(de): Bibliothek für %name
Group: System/Libraries
Requires: %name

%description -n %libsopranoclient
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

#german
%description -n %libsopranoclient -l de
Sopran (früher bekannt als QRDF) ist eine Bibliothek, die eine schöne QT
Schnittstelle zu RDF-Speicher-Lösungen bietet. Es hat eine modulare Struktur, 
die es Ihnen erlaubt, sie als Ersatz für Ihre derzeitliche Umsetzung der RDF 
Speicherung zu verwendet. Derzeit befinden sich zwei Implementierungen in 
arbeiten. Die erste und wichtigste ist das Backend, das in Sopran auf librdf 
basiert, das Redland RDF Application Rahmenwerk. Das zweite Backend ist das 
weit aus interessantere, da es sich um die NEPOMUK-KDE-Backbone-Bibliothek 
handelt.Diese bietet eine schöne Oberfläche für Anmeldungen von Nepomuk 
Dienstleistungen.

%files -n %libsopranoclient
%defattr(-,root,root)
%_libdir/libsopranoclient.so.*

#---------------------------------------------------------------------------------

%define libsopranoserver %mklibname sopranoserver 1

%package -n %libsopranoserver
Summary: Library for %name
Summary(de): Bibliothek für %name
Group: System/Libraries
Requires: %name

%description -n %libsopranoserver
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

#german
%description -n %libsopranoserver -l de
Sopran (früher bekannt als QRDF) ist eine Bibliothek, die eine schöne QT
Schnittstelle zu RDF-Speicher-Lösungen bietet. Es hat eine modulare Struktur, 
die es Ihnen erlaubt, sie als Ersatz für Ihre derzeitliche Umsetzung der RDF 
Speicherung zu verwendet. Derzeit befinden sich zwei Implementierungen in 
arbeiten. Die erste und wichtigste ist das Backend, das in Sopran auf librdf 
basiert, das Redland RDF Application Rahmenwerk. Das zweite Backend ist das 
weit aus interessantere, da es sich um die NEPOMUK-KDE-Backbone-Bibliothek 
handelt.Diese bietet eine schöne Oberfläche für Anmeldungen von Nepomuk 
Dienstleistungen.

%files -n %libsopranoserver
%defattr(-,root,root)
%_libdir/libsopranoserver.so.*

#---------------------------------------------------------------------------------

%define libsopranoindex %mklibname sopranoindex 1

%package -n %libsopranoindex
Summary: Library for %name
Summary(de): Bibliothek für %name
Group: System/Libraries
Requires: %name

%description -n %libsopranoindex
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

#german
%description -n %libsopranoindex -l de
Sopran (früher bekannt als QRDF) ist eine Bibliothek, die eine schöne QT
Schnittstelle zu RDF-Speicher-Lösungen bietet. Es hat eine modulare Struktur, 
die es Ihnen erlaubt, sie als Ersatz für Ihre derzeitliche Umsetzung der RDF 
Speicherung zu verwendet. Derzeit befinden sich zwei Implementierungen in 
arbeiten. Die erste und wichtigste ist das Backend, das in Sopran auf librdf 
basiert, das Redland RDF Application Rahmenwerk. Das zweite Backend ist das 
weit aus interessantere, da es sich um die NEPOMUK-KDE-Backbone-Bibliothek 
handelt.Diese bietet eine schöne Oberfläche für Anmeldungen von Nepomuk 
Dienstleistungen.

%files -n %libsopranoindex
%defattr(-,root,root)
%_libdir/libsopranoindex.so.*

#---------------------------------------------------------------------------------

%package  devel
Summary:  Library
Summary(de): Bibliothek
Group:    Development/Libraries
Provides: libsoprano-devel = %version-release
Requires: %libsoprano = %version-%release
Requires: %libsoprano = %version-%release
Requires: %libsopranoclient = %version-%release
Requires: %libsopranoserver = %version-%release
Requires: %libsopranoindex = %version-%release
Requires: soprano
Requires: %{name}-plugin-redland

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

#german
%description devel -l de
Dieses Paket enthält die Header, welche Programmierer zur Entwicklung 
von Anwendungen, die soprano verwenden, benötigt. 

%files devel
%defattr(-,root,root)
%_bindir/onto2vocabularyclass
%dir %_includedir/soprano/
%_includedir/soprano/*
%dir %_includedir/Soprano/
%_includedir/Soprano/*
%_libdir/pkgconfig/*.pc
%_libdir/*.so
%_datadir/soprano/cmake

#---------------------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%if %with_java
export JAVA_HOME=%{java_home}
%endif

%cmake_qt4

%make


%install
rm -rf %buildroot
%makeinstall_std -C build

%if %with_java
old_rpath=$(chrpath -l %{buildroot}%{_libdir}/soprano/libsoprano_sesame2backend.so | cut -d= -f2)
new_rpath=$(echo "$old_rpath" | sed "s,%{java_home},%{_jvmdir},")
chrpath -r "$new_rpath" %{buildroot}%{_libdir}/soprano/libsoprano_sesame2backend.so
%endif

%clean 
rm -rf %buildroot



%changelog
* Tue Nov 05 2013 pinoc <vogtpet at gmail dot com> 2.9.4-1pclos2013
- 2.9.4

* Mon Jan 07 2013 pinoc <vogtpet at gmail dot com> 2.9.0-1pclos2013
- 2.9.0

* Thu May 31 2012 Neal <nealbrks0 at gmail dot com> 2.7.6-1pclos2012
- process

* Tue May 29 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.7.6-1_archie_2012
- Update and rebuild against Qt-4.8.1-5

* Sun Mar 04 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.7.5-1_archie_2011
- update

* Mon Feb 13 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.7.4-1_archie_2011
- Checked build on 4.8.0 x86_64

* Fri Feb 10 2012 leiche <meisssw01 at gmail.com> 2.7.4-1pclos2012
- 2.7.4

* Sat Jan 22 2011 Texstar <texstar at gmail.com> 2.6.0-1pclos2010
- 2.6.0

* Wed Aug 04 2010 Texstar <texstar at gmail.com> 2.4.64-1pclos2010
- 2.4.64

* Sat Apr 24 2010 Texstar <texstar at gmail.com> 2.4.2-1pclos2010
- 2.4.2

* Sat Feb 06 2010 Texstar <texstar at gmail.com> 2.3.71-2pclos2010
- rebuild

* Sat Jan 23 2010 Texstar <texstar at gmail.com> 2.3.71-1pclos2010
- 2.3.71

